## org.biojava.bio.seq
Interface SequenceFactory

All Known Implementing Classes:
  SimpleSequenceFactory

public interface SequenceFactory

The interface for objects that will manufacture sequences.

The factory layer is in here as sequences are potentialy heavy-weight, so we want to decouple their possibly complicated creation from the code that wants to make them.

Author:
  Matthew Pocock

Method Summary
`Sequence` `createSequence(SymbolList resList, java.lang.String uri, java.lang.String name, Annotation annotation)` Creates a sequence using these parameters.

Method Detail

### createSequence

    public Sequence createSequence(SymbolList resList,
                                   java.lang.String uri,
                                   java.lang.String name,
                                   Annotation annotation)

  Creates a sequence using these parameters.
  Parameters:
    `resList` - the SymbolList defining the 'sequence'
    `uri` - the uri
    `name` - the name
    `annotation` - a hint for the annotation of the resulting sequence
  Returns:
    a new Sequence object